lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Petersen" <rober...@buy.com>
Subject RE: upgrade solr from 1.4 to 3.5 not working
Date Fri, 06 Apr 2012 15:26:32 GMT
Note that I am trying to upgrade from the Lucid Imagination distribution
of Solr 1.4, dunno if that makes a difference.  We have an existing
index of 11 million documents which I am trying to preserve in the
upgrade process.

-----Original Message-----
From: Robert Petersen [mailto:robertpe@buy.com] 
Sent: Thursday, April 05, 2012 2:21 PM
To: solr-user@lucene.apache.org
Subject: upgrade solr from 1.4 to 3.5 not working

Hi folks, I'm a little stumped here.

 

I have an existing solr 1.4 setup which is well configured.  I want to
upgrade to the latest solr release, and after reading release notes, the
wiki, etc, I concluded the correct path would be to not change any
config items and just replace the solr.war file in tomcats webapps
folder with the new one and then start tomcat back up.

 

This worked fine, solr came up.  The problem is that on the solr info
page it still says that I am running solr 1.4 even after several
restarts and even a server reboot.  Am I missing something?  Info says
this though there is no solr 1.4 war file anywhere under tomcat root:

 

	Solr Specification Version: 1.4.0.2009.12.10.10.34.34

	Solr Implementation Version: 1.4 exported - sam - 2009-12-10
10:34:34

	Lucene Specification Version: 2.9.1

	Lucene Implementation Version: 2.9.1 exported - 2009-12-10
10:32:14

	Current Time: Thu Apr 05 12:56:12 PDT 2012

	Server Start Time:Thu Apr 05 12:52:25 PDT 2012

 

Any help would be appreciated.

Thanks

Robi


Mime
View raw message